com.fasterxml.jackson.dataformat.smile

## Class SmileUtil

- java.lang.Object
- - com.fasterxml.jackson.dataformat.smile.SmileUtil

    public class SmileUtil
    extends java.lang.Object

Class for miscellaneous helper methods.

### Constructor Summary

Constructors
Constructor and Description
`SmileUtil()`

### Method Summary

Methods
`static int` `zigzagDecode(int encoded)`
`static long` `zigzagDecode(long encoded)`
`static int` `zigzagEncode(int input)`
`static long` `zigzagEncode(long input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SmileUtil

    public SmileUtil()

### Method Detail

#### zigzagEncode

    public static int zigzagEncode(int input)

#### zigzagDecode

    public static int zigzagDecode(int encoded)

#### zigzagEncode

    public static long zigzagEncode(long input)

#### zigzagDecode

    public static long zigzagDecode(long encoded)